package com.engine.kqsolution.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import weaver.general.StringUtil;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @Author liang.cheng
 * @Date 2023/9/18 2:14 PM
 * @Description: TODO
 * @Version 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SignDataParams {

    private String attendanceDate;

    private String formModeId;

    private String ids;

    public List<Integer> getIds() {
        if(StringUtil.isEmpty(ids)){
            return new ArrayList<>();
        }
        return Arrays.stream(ids.split(",")).map(Integer::parseInt).collect(Collectors.toList());
    }
}
